org.apache.maven.usability.diagnostics

## Class DiagnosisUtils

- java.lang.Object
- - org.apache.maven.usability.diagnostics.DiagnosisUtils

-     public final class DiagnosisUtils
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendRootCauseIfPresentAndUnique(java.lang.Throwable error, java.lang.StringBuffer message, boolean includeTypeInfo)`
    `static boolean` | `containsInCausality(java.lang.Throwable error, java.lang.Class test)`
    `static java.lang.Throwable` | `getFromCausality(java.lang.Throwable error, java.lang.Class targetClass)`
    `static java.lang.Throwable` | `getRootCause(java.lang.Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### containsInCausality

          public static boolean containsInCausality(java.lang.Throwable error,
                                    java.lang.Class test)

    - #### getRootCause

          public static java.lang.Throwable getRootCause(java.lang.Throwable error)

    - #### getFromCausality

          public static java.lang.Throwable getFromCausality(java.lang.Throwable error,
                                             java.lang.Class targetClass)

    - #### appendRootCauseIfPresentAndUnique

          public static void appendRootCauseIfPresentAndUnique(java.lang.Throwable error,
                                               java.lang.StringBuffer message,
                                               boolean includeTypeInfo)